Package com.sap.ai.sdk.orchestration.model

# Class ErrorStreaming

java.lang.Object
com.sap.ai.sdk.orchestration.model.ErrorStreaming

public class ErrorStreaming extends Object
ErrorStreaming

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `ErrorStreaming.Builder`
  Builder helper class.
  `static interface`
  `ErrorStreaming.Builder1`
  Builder helper class.
  `static interface`
  `ErrorStreaming.Builder2`
  Builder helper class.
  `static interface`
  `ErrorStreaming.Builder3`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ErrorStreaming()`
  Default constructor for ErrorStreaming.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ErrorStreaming`
  `code(Integer code)`
  Set the code of this `ErrorStreaming` instance and return the same instance.
  `static ErrorStreaming.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `ErrorStreaming` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Integer`
  `getCode()`
  Get code
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `ErrorStreaming`.
  `Map<String,String>`
  `getHeaders()`
  HTTP headers returned from the failed request attempt
  `ModuleResultsStreaming`
  `getIntermediateResults()`
  Get intermediateResults
  `String`
  `getLocation()`
  Where the error occurred
  `String`
  `getMessage()`
  Get message
  `String`
  `getRequestId()`
  Get requestId
  `int`
  `hashCode()`
  `ErrorStreaming`
  `headers(Map<String,String> headers)`
  Set the headers of this `ErrorStreaming` instance and return the same instance.
  `ErrorStreaming`
  `intermediateResults(ModuleResultsStreaming intermediateResults)`
  Set the intermediateResults of this `ErrorStreaming` instance and return the same instance.
  `ErrorStreaming`
  `location(String location)`
  Set the location of this `ErrorStreaming` instance and return the same instance.
  `ErrorStreaming`
  `message(String message)`
  Set the message of this `ErrorStreaming` instance and return the same instance.
  `ErrorStreaming`
  `putheadersItem(String key, String headersItem)`
  Put one headers instance to this `ErrorStreaming` instance.
  `ErrorStreaming`
  `requestId(String requestId)`
  Set the requestId of this `ErrorStreaming` instance and return the same instance.
  `void`
  `setCode(Integer code)`
  Set the code of this `ErrorStreaming` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `ErrorStreaming` instance.
  `void`
  `setHeaders(Map<String,String> headers)`
  Set the headers of this `ErrorStreaming` instance.
  `void`
  `setIntermediateResults(ModuleResultsStreaming intermediateResults)`
  Set the intermediateResults of this `ErrorStreaming` instance.
  `void`
  `setLocation(String location)`
  Set the location of this `ErrorStreaming` instance.
  `void`
  `setMessage(String message)`
  Set the message of this `ErrorStreaming` instance.
  `void`
  `setRequestId(String requestId)`
  Set the requestId of this `ErrorStreaming` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `ErrorStreaming` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ErrorStreaming

    protected ErrorStreaming()
    Default constructor for ErrorStreaming.

- ## Method Details

  - ### requestId

    @Nonnull public ErrorStreaming requestId(@Nonnull String requestId)
    Set the requestId of this `ErrorStreaming` instance and return the same instance.
    Parameters:
      `requestId` - The requestId of this `ErrorStreaming`
    Returns:
      The same instance of this `ErrorStreaming` class

  - ### getRequestId

    @Nonnull public String getRequestId()
    Get requestId
    Returns:
      requestId The requestId of this `ErrorStreaming` instance.

  - ### setRequestId

    public void setRequestId(@Nonnull String requestId)
    Set the requestId of this `ErrorStreaming` instance.
    Parameters:
      `requestId` - The requestId of this `ErrorStreaming`

  - ### code

    @Nonnull public ErrorStreaming code(@Nonnull Integer code)
    Set the code of this `ErrorStreaming` instance and return the same instance.
    Parameters:
      `code` - The code of this `ErrorStreaming`
    Returns:
      The same instance of this `ErrorStreaming` class

  - ### getCode

    @Nonnull public Integer getCode()
    Get code
    Returns:
      code The code of this `ErrorStreaming` instance.

  - ### setCode

    public void setCode(@Nonnull Integer code)
    Set the code of this `ErrorStreaming` instance.
    Parameters:
      `code` - The code of this `ErrorStreaming`

  - ### message

    @Nonnull public ErrorStreaming message(@Nonnull String message)
    Set the message of this `ErrorStreaming` instance and return the same instance.
    Parameters:
      `message` - The message of this `ErrorStreaming`
    Returns:
      The same instance of this `ErrorStreaming` class

  - ### getMessage

    @Nonnull public String getMessage()
    Get message
    Returns:
      message The message of this `ErrorStreaming` instance.

  - ### setMessage

    public void setMessage(@Nonnull String message)
    Set the message of this `ErrorStreaming` instance.
    Parameters:
      `message` - The message of this `ErrorStreaming`

  - ### location

    @Nonnull public ErrorStreaming location(@Nonnull String location)
    Set the location of this `ErrorStreaming` instance and return the same instance.
    Parameters:
      `location` - Where the error occurred
    Returns:
      The same instance of this `ErrorStreaming` class

  - ### getLocation

    @Nonnull public String getLocation()
    Where the error occurred
    Returns:
      location The location of this `ErrorStreaming` instance.

  - ### setLocation

    public void setLocation(@Nonnull String location)
    Set the location of this `ErrorStreaming` instance.
    Parameters:
      `location` - Where the error occurred

  - ### intermediateResults

    @Nonnull public ErrorStreaming intermediateResults(@Nullable ModuleResultsStreaming intermediateResults)
    Set the intermediateResults of this `ErrorStreaming` instance and return the same instance.
    Parameters:
      `intermediateResults` - The intermediateResults of this `ErrorStreaming`
    Returns:
      The same instance of this `ErrorStreaming` class

  - ### getIntermediateResults

    @Nonnull public ModuleResultsStreaming getIntermediateResults()
    Get intermediateResults
    Returns:
      intermediateResults The intermediateResults of this `ErrorStreaming` instance.

  - ### setIntermediateResults

    public void setIntermediateResults(@Nullable ModuleResultsStreaming intermediateResults)
    Set the intermediateResults of this `ErrorStreaming` instance.
    Parameters:
      `intermediateResults` - The intermediateResults of this `ErrorStreaming`

  - ### headers

    @Nonnull public ErrorStreaming headers(@Nullable Map<String,String> headers)
    Set the headers of this `ErrorStreaming` instance and return the same instance.
    Parameters:
      `headers` - HTTP headers returned from the failed request attempt
    Returns:
      The same instance of this `ErrorStreaming` class

  - ### putheadersItem

    @Nonnull public ErrorStreaming putheadersItem(@Nonnull String key, @Nonnull String headersItem)
    Put one headers instance to this `ErrorStreaming` instance.
    Parameters:
      `key` - The String key of this headers instance
      `headersItem` - The headers that should be added under the given key
    Returns:
      The same instance of type `ErrorStreaming`

  - ### getHeaders

    @Nonnull public Map<String,String> getHeaders()
    HTTP headers returned from the failed request attempt
    Returns:
      headers The headers of this `ErrorStreaming` instance.

  - ### setHeaders

    public void setHeaders(@Nullable Map<String,String> headers)
    Set the headers of this `ErrorStreaming` instance.
    Parameters:
      `headers` - HTTP headers returned from the failed request attempt

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `ErrorStreaming`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `ErrorStreaming` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `ErrorStreaming` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `ErrorStreaming` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static ErrorStreaming.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `ErrorStreaming` instance with all required arguments.